package imt;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Data
public class Padawan extends Person {
	private final Chef chef;

	public Padawan(int id, String nom, String prenom, String telephone, Genre genre, Chef chef) {
		super(id, nom, prenom, telephone, genre);
		this.chef = chef;
	}
}
